<template lang="html">
  <div class="options-dialog">
    <nuxt-link to="/dashboard" class="upload">{{ options.UPLOAD }}</nuxt-link>
    <button v-if="!isLoggedIn"
      v-on:click="showDialog('signin')"
      class="signin">{{ options.SIGNIN }}</button>
    <button v-if="!isLoggedIn"
      v-on:click="showDialog('signup')"
      class="signup">{{ options.SIGNUP }}</button>

    <button v-if="isLoggedIn"
      v-on:click="showSideNav('profile')">{{ options.PROFILE }}</button>
    <!--
    <button v-if="isLoggedIn">{{ options.LIBRARY }}</button>
    -->
    <!--
    <button v-bind:class="{ toggled: nightmode }"
            v-on:click="nightmode = !nightmode"
            type="button" class="nightmode">{{ options.NIGHTMODE }}</button>
    -->
    <!--
    <button v-bind:class="{ toggled: fullscreen }"
            v-on:click="fullscreen = !fullscreen"
            type="button" class="fullscreen">{{ options.FULLSCREEN }}</button>
    -->
    <nuxt-link
      v-if="isLoggedIn"
      to="/settings"
      class="settings">{{ options.SETTINGS }}</nuxt-link>

    <!--
    <button class="feedback"
      v-on:click="showDialog('feedback')">{{ options.PRIVACY }}</button>
    -->
    <button class="feedback"
      v-on:click="showDialog('feedback')">{{ options.FEEDBACK }}</button>
    <!--
    <button class="feedback"
      v-on:click="showDialog('feedback')">{{ options.HELP }}</button>
    -->
    <button type="button" class="cancel" v-on:click="closeDialog()">{{ options.CANCEL }}</button>
  </div>
</template>

<script>
import { mapState, mapActions } from 'vuex'

export default {
  name: 'ep-options-dialog',
  data () {
    return {
      nightmode: false,
      fullscreen: false,

      options: {
        UPLOAD: 'Upload A Game',

        // Account Options
        SIGNIN: 'Sign In',
        SIGNUP: 'Sign Up',
        PROFILE: 'Profile',
        LIBRARY: 'Library',

        // Custom Options
        NIGHTMODE: 'Night Mode',
        FULLSCREEN: 'Fullscreen',

        // General Options
        SETTINGS: 'Settings',
        PRIVACY: 'Privacy & Terms',
        FEEDBACK: 'Feedback',
        HELP: 'Help',

        // Cancel Option
        CANCEL: 'Cancel'
      }
    }
  },
  computed: {
    ...mapState('app', [
      'dialogTypes'
    ]),
    ...mapState({
      isLoggedIn: state => state.profile.isLoggedIn
    })
  },
  methods: {
    ...mapActions('app', [
      'selectDialog',
      'closeDialog',
      'selectSideNav'
    ]),
    showSideNav (nav) {
      this.selectSideNav(nav)
    },
    showDialog (option) {
      this.selectDialog({
        dialog: this.dialogTypes[option]
      })
    }
  }
}
</script>

<style lang="scss" scoped>
@import '~assets/styles/input';
@import '~assets/styles/theme';

$item-padding-vert: 15px;
$item-padding-left: 50px;

$border-color: #dcdcdc;
$text-color: #606060;

$icon-size: 20px;
$icon-padding-left: 16px;

$nightmode-bg-color: #333333;

.options-dialog {
  background: #FFFFFF;
  width: $dialog-width;
  font-family: inherit;
}

.settings, .cancel {
  border-top: 1px solid $border-color;
}

.signup {
  // border-bottom: 1px solid $border-color;
}

/*
.upload {
  border-bottom: 1px solid $border-color;
  background-image: url('/static/image/upload-icon32x32.png');
  background-size: $icon-size;
  background-repeat: no-repeat;
  background-position: $icon-padding-left;
}
*/

.nightmode {
  background-image: url('/static/image/night-dark-icon32x32.png');
  background-size: $icon-size;
  background-repeat: no-repeat;
  background-position: $icon-padding-left;

  &.toggled {
    background-image: url('/static/image/night-light-icon32x32.png');
    background-color: $nightmode-bg-color;
    color: white;
  }
}

.fullscreen {
  background-image: url('/static/image/fullscreen-max-icon32x32.png');
  background-size: $icon-size;
  background-repeat: no-repeat;
  background-position: $icon-padding-left;

  &.toggled {
    background-image: url('/static/image/fullscreen-min-icon32x32.png');
  }
}

.cancel {
  color: #000000;
}

a, button {
  display: block;
  padding-left: $item-padding-left;
  padding-top: $item-padding-vert;
  padding-bottom: $item-padding-vert;
  text-align: left;
  vertical-align: middle;
  font-size: inherit;
  font-family: inherit;
  background: none;
  border: none;
  border-radius: 0;
  box-shadow: none;
  color: $text-color;
}

a {
  width: calc(100% - #{$item-padding-left});
  text-decoration: none;
}

button {
  width: 100%;
}
</style>
